For the complete documentation index, see llms.txt. This page is also available as Markdown.

List domains

Returns a paginated list of domains associated with Agency Plan websites accessible to the authenticated client. Use the websiteuuids filter to narrow results to specific websites.

List domains

get

Returns a paginated list of domains associated with Agency Plan websites accessible to the authenticated client.

Use the website_uuids filter to narrow results to specific websites.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Number of items per page

Default: 25Example: 25
website_uuidsstring[] · nullableOptional

Filter by website UIDs

Example: ["zpwlGlp19"]
Responses
200

Success response

application/json
get/api/agency-hosting/v1/domains
GET /api/agency-hosting/v1/domains HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "fqdn": "example.com",
      "website_uid": "zpwlGlp19",
      "created_at": "2024-05-29T05:49:49+00:00"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?